View Issue Details

IDProjectCategoryView StatusLast Update
0000343XMB1New Featurespublic2010-02-24 17:57
ReportermiqrogrooveAssigned Tomiqrogroove 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.9.11.08Fixed in Version1.9.11.08 
Summary0000343: Forward Compatibility Improvement
DescriptionThere is a great opportunity here to learn what parts of a stable XMB release turn out to be vulnerable to changes in the PHP language.

For example, PHP seems to have a habit of expanding the E_ALL error level to include more and more junk that is irrelevant to production websites. This suggests a better error reporting strategy is needed in XMB. Perhaps error reporting should be disabled or whitelisted when debug mode is off, rather than blacklisting E_STRICT, E_DEPRECATED, E_WHATEVER_COME_NEXT.
TagsNo tags attached.
MySQL Version
PHP Version
Web Server
Browser
Flags
Original Reporter
SVN Revision2231

Relationships

parent of 0000352 closedmiqrogroove Substitute ini_set() for set_magic_quotes_runtime() 
child of 0000332 closedmiqrogroove PHP 5.3 Compatibility 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-01-24 18:37 miqrogroove New Issue
2010-01-24 18:38 miqrogroove Relationship added child of 0000332
2010-01-25 15:50 miqrogroove Status new => assigned
2010-01-25 15:50 miqrogroove Assigned To => miqrogroove
2010-01-25 20:54 miqrogroove Relationship added parent of 0000352
2010-01-26 16:03 miqrogroove SVN Revision => 2231
2010-01-26 16:03 miqrogroove Status assigned => resolved
2010-01-26 16:03 miqrogroove Fixed in Version => 1.9.11.08
2010-01-26 16:03 miqrogroove Resolution open => fixed
2010-02-24 17:57 miqrogroove Status resolved => closed